{
  "name": "@gooddata/react-components",
  "version": "7.9.1",
  "description": "GoodData.UI - A powerful JavaScript library for building analytical applications",
  "main": "dist/index.js",
  "repository": "git@github.com:gooddata/gooddata-react-components.git",
  "author": "GoodData Corporation",
  "license": "SEE LICENSE IN LICENSE",
  "files": [
    "dist",
    "src",
    "styles",
    "LICENSE",
    "NOTICES.txt"
  ],
  "devDependencies": {
    "@babel/core": "7.11.6",
    "@babel/plugin-proposal-class-properties": "7.4.4",
    "@babel/plugin-proposal-object-rest-spread": "7.4.4",
    "@babel/plugin-transform-async-to-generator": "7.4.4",
    "@babel/polyfill": "^7.4.4",
    "@babel/preset-env": "7.4.4",
    "@babel/preset-react": "7.0.0",
    "@babel/runtime": "7.4.4",
    "@gooddata/eslint-config": "^1.0.0",
    "@gooddata/frontend-npm-scripts": "1.2.0",
    "@gooddata/mock-js": "^2.14.2",
    "@gooddata/stylelint-config": "^5.0.0",
    "@gooddata/test-storybook": "4.0.0",
    "@gooddata/tslint-config": "1.0.0",
    "@storybook/addon-actions": "5.0.11",
    "@storybook/addon-options": "5.0.11",
    "@storybook/addons": "5.0.11",
    "@storybook/react": "5.0.11",
    "@storybook/theming": "5.0.11",
    "@types/classnames": "2.2.3",
    "@types/enzyme": "3.1.13",
    "@types/enzyme-adapter-react-16": "1.0.3",
    "@types/fixed-data-table-2": "0.8.1",
    "@types/invariant": "2.2.29",
    "@types/jest": "24.0.6",
    "@types/json-stable-stringify": "^1.0.32",
    "@types/lodash": "4.14.123",
    "@types/node": "7.0.8",
    "@types/prop-types": "15.5.2",
    "@types/raf": "^3.4.0",
    "@types/react": "16.8.6",
    "@types/react-dom": "16.0.11",
    "@types/react-measure": "2.0.5",
    "@types/react-portal": "4.0.1",
    "@types/react-responsive": "^3.0.3",
    "@types/react-test-renderer": "16.0.0",
    "@types/react-window": "^1.8.1",
    "@types/storybook__addon-actions": "3.4.2",
    "@types/storybook__react": "4.0.1",
    "@types/stringify-object": "^3.2.0",
    "@types/uuid": "8.3.0",
    "babel-loader": "8.1.0",
    "babel-plugin-lodash": "3.3.4",
    "circular-dependency-plugin": "5.0.2",
    "clean-webpack-plugin": "2.0.2",
    "commander": "2.14.1",
    "compression-webpack-plugin": "2.0.0",
    "css-loader": "0.28.7",
    "dotenv-webpack": "^1.7.0",
    "enzyme": "3.5.0",
    "enzyme-adapter-react-16": "1.3.1",
    "eslint": "4.19.1",
    "eslint-config-prettier": "4.1.0",
    "file-loader": "3.0.1",
    "formik": "^0.11.11",
    "full-icu": "^1.3.0",
    "history": "^4.7.2",
    "html-webpack-plugin": "3.2.0",
    "husky": "3.0.0",
    "identity-obj-proxy": "^3.0.0",
    "intl-messageformat": "^7.5.4",
    "isomorphic-fetch": "2.2.1",
    "jest": "24.7.1",
    "jest-enzyme": "7.0.2",
    "jest-junit": "3.0.0",
    "lint-staged": "9.1.0",
    "madge": "^4.0.1",
    "moment": "2.23.0",
    "node-sass": "4.13.1",
    "node-sass-magic-importer": "5.1.0",
    "prettier": "1.16.4",
    "raf": "3.3.2",
    "raw-loader": "0.5.1",
    "react": "^16.5.2",
    "react-datepicker": "1.1.0",
    "react-dom": "^16.5.2",
    "react-ga": "^2.5.2",
    "react-google-recaptcha": "^0.14.1",
    "react-helmet": "5.2.0",
    "react-router-dom": "4.2.2",
    "react-select": "1.2.1",
    "react-syntax-highlighter": "11.0.2",
    "react-test-renderer": "16.4.2",
    "recharts": "1.0.0-beta.9",
    "sass-loader": "6.0.6",
    "stats-webpack-plugin": "0.7.0",
    "style-loader": "0.19.1",
    "styled-jsx": "2.2.1",
    "stylelint": "^13.6.1",
    "stylelint-checkstyle-formatter": "0.1.2",
    "stylelint-config-prettier": "^8.0.1",
    "supertest": "3.0.0",
    "testcafe": "1.1.4",
    "testcafe-live": "0.1.4",
    "ts-jest": "24.0.0",
    "ts-loader": "6.0.0",
    "tslint-config-prettier": "1.18.0",
    "typescript": "3.3.4000",
    "webpack": "4.30.0",
    "webpack-cli": "3.3.2",
    "webpack-dev-server": "3.3.1",
    "yup": "^0.32.9"
  },
  "dependencies": {
    "@formatjs/intl-pluralrules": "^1.3.6",
    "@gooddata/gooddata-js": "^13.2.0",
    "@gooddata/goodstrap": "^70.2.2",
    "@gooddata/js-utils": "^3.10.17",
    "@gooddata/numberjs": "^3.2.4",
    "@gooddata/typings": "^2.27.0",
    "@types/codemirror": "^0.0.95",
    "@types/mapbox-gl": "1.9.1",
    "ag-grid-community": "20.0.0",
    "ag-grid-react": "20.0.0",
    "classnames": "^2.2.6",
    "codemirror": "^5.54.0",
    "custom-event": "^1.0.1",
    "date-fns": "^2.7.0",
    "downshift": "^3.2.7",
    "fixed-data-table-2": "^0.8.21",
    "highcharts": "7.1.1",
    "highcharts-grouped-categories": "^1.1.3",
    "hoist-non-react-statics": "^3.3.0",
    "http-status-codes": "^1.3.0",
    "invariant": "^2.2.2",
    "json-stable-stringify": "^1.0.1",
    "lodash": "^4.17.20",
    "mapbox-gl": "1.11.0",
    "nodelist-foreach-polyfill": "^1.2.0",
    "prop-types": "^15.6.0",
    "react-codemirror2": "^7.2.0",
    "react-day-picker": "~7.3.0",
    "react-dom-factories": "^1.0.2",
    "react-intl": "^3.6.0",
    "react-measure": "^2.3.0",
    "react-responsive": "^3.0.0",
    "react-transition-group": "^2.2.1",
    "react-window": "^1.8.1",
    "rxjs": "^6.3.1",
    "stringify-object": "^2.4.0",
    "uuid": "^8.3.1"
  },
  "peerDependencies": {
    "react": "^16.5.2",
    "react-dom": "^16.5.2"
  },
  "config": {
    "eslint": "./examples/**/*.{js,jsx}",
    "tslint": "./{__mocks__,src,stories}/{,**/}*.{ts,tsx}"
  },
  "scripts": {
    "prepare?": "# Called before `npm publish` and on local `npm install`. Temporarily also for deleting obsolete node_modules. Ends with `true` to continue gracefully.",
    "prepare": "cd examples/server && yarn install --frozen-lockfile && cd ../..; rm -r examples/node_modules 2>/dev/null; true",
    "prepublishOnly": "yarn build",
    "build": "bash scripts/build.sh",
    "build-dev": "bash scripts/build.sh --dev",
    "dev": "bash scripts/build.sh --dev-watch",
    "test": "jest --watch",
    "test-once": "jest",
    "run-tslint": "tslint -p tsconfig.json",
    "tslint": "yarn run-tslint -t verbose $npm_package_config_tslint",
    "tslint-ci": "mkdir -p ./ci/results && yarn run-tslint -t checkstyle -o ./ci/results/tslint-results.xml $npm_package_config_tslint",
    "prettier-check": "prettier --check '{src,stories,styles,__mocks__,examples/server/src,examples/src,examples/test}/**/*.{ts,js,tsx,jsx,json,scss,md,yaml,html}'",
    "prettier-write": "prettier --write '{src,stories,styles,__mocks__,examples/server/src,examples/src,examples/test}/**/*.{ts,js,tsx,jsx,json,scss,md,yaml,html}'",
    "check-circular-deps": "madge --circular --extensions ts ./src",
    "validate": "tsc --noEmit && yarn tslint && eslint $npm_package_config_eslint && yarn validate-style && yarn prettier-check",
    "validate-ci": "tsc --noEmit && yarn tslint-ci  && eslint $npm_package_config_eslint -f checkstyle -o ci/results/eslint-results.xml && yarn validate-style-ci && yarn prettier-check",
    "validate-style": "stylelint '**/*.scss'",
    "validate-style-ci": "stylelint '**/*.scss' --custom-formatter=node_modules/stylelint-checkstyle-formatter > ci/results/stylelint-results.xml",
    "storybook": "yarn build && start-storybook -p 9001 -c .storybook",
    "build-storybook": "yarn build && build-storybook -c .storybook -o dist-storybook",
    "test-storybook": "yarn build && test-storybook",
    "examples?": "# Default is developer domain, other options: yarn examples [sec,secure,stg,stg2,stg3,demo,developer or URL]",
    "examples": "bash scripts/run-examples.sh",
    "examples-build": "bash scripts/build-examples.sh",
    "examples-server": "node examples/server/src/index.js",
    "examples-testcafe": "./scripts/run-testcafe.sh visual",
    "examples-testcafe-live": "./scripts/run-testcafe.sh live",
    "examples-testcafe-ci": "./scripts/run-testcafe.sh ci",
    "heroku-postbuild": "yarn examples-build public"
  },
  "typings": "dist/index.d.ts",
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "{src,stories,styles,__mocks__,examples/server/src,examples/src,examples/test}/**/*.{ts,js,tsx,jsx,json,scss,md,yaml,html}": [
      "prettier --write",
      "git add"
    ],
    "{src,stories,styles,__mocks__,examples/server/src,examples/src,examples/test}/**/*.{ts,js,tsx,jsx,scss}": [
      "npx gdc-fix-copyright",
      "git add"
    ]
  }
}
